Skip to main content
GET
/
api
/
sol
/
wallets
/
{address}
/
performance
Get wallet performance history
curl --request GET \
  --url 'https://ca.raze.sh/api/sol/wallets/{address}/performance?apiKey='
{
  "success": true,
  "address": "<string>",
  "startTime": "2023-11-07T05:31:56Z",
  "endTime": "2023-11-07T05:31:56Z",
  "data": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "trades": 123,
      "buys": 123,
      "sells": 123,
      "volumeSol": 123,
      "volumeUsd": 123,
      "realizedPnlSol": 123,
      "realizedPnlUsd": 123,
      "uniqueTokens": 123
    }
  ],
  "count": 123,
  "solPriceUsd": 123,
  "timestamp": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.raze.bot/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

Path Parameters

address
string
required

Query Parameters

from
integer
required

Start timestamp (Unix seconds)

to
integer
required

End timestamp (Unix seconds)

resolution
enum<string>
default:1d

Time bucket resolution - 1h (hourly) or 1d (daily)

Available options:
1h,
1d

Response

Success

success
boolean
address
string
startTime
string<date-time>
endTime
string<date-time>
resolution
enum<string>
Available options:
1h,
1d
data
object[]
count
integer
solPriceUsd
number
timestamp
string<date-time>